Search results

  1. gumpface

    Need update for R4's

    Hi, I have had 2 R4 carts that were working fine, but one day a month or two ago, I stupidly set my DSi to update, and totally didn't even think about the firmware and how it might kill the carts. I live in Australia, and as of the DSi update, it now says it's Firmware 1.4.5a. I've attached a...
General chit-chat
Help Users
  • No one is chatting at the moment.
    AncientBoi @ AncientBoi: has shut the door.